
#importing Magics module
from Magics.macro import *

#Setting of the output file name
output = output({"output_formats":['png'], 
		'output_name_first_page_number':"off",
		'output_name': 'simple_symbol'})

#Setting the coordinates of the geographical area
#Here we use Europe
area = mmap(subpage_lower_left_latitude= 40.,
            subpage_lower_left_longitude= -20.,
			subpage_upper_right_latitude= 65.,
			subpage_upper_right_longitude= 10.)

#Background Coastlines 
background = mcoast( {"map_coastline_sea_shade_colour": "white",
                     "map_coastline_land_shade_colour": "cream",
                     "map_grid": "on",
                     "map_coastline_land_shade": "on",
                     "map_coastline_sea_shade": "on",
                     "map_label": "on",
                     "map_coastline_colour": "tan"})



#Import the input data 
input =  mgeo({ "geo_input_file_name" : "input.geo"})

#Define the symbol plotting
symbol = msymb( {"legend": "off", "symbol_type" : "marker",
		    "symbol_colour" : "red", 
			"symbol_height" : 1.,
			"symbol_marker": 15 })

lines =["Big Red dots..."]

title = mtext({
           "text_lines" : lines,
           "text_html" : "true",
		   "text_justification": "left",
		   "text_font_size": 1.,
           "text_colour" : "charcoal"})


#To the plot
plot(output, area, background, input, symbol, title);
#({"legend":"on", "legend_user_lines" : ["CM_7"], "legend_text_composition": "user" }))














